R4 flashcard broke upon starting game

Discussion in 'NDS - Emulation and Homebrew' started by Flaxel, Sep 14, 2018.

  1. Flaxel
    OP

    Flaxel Newbie

    Newcomer
    1
    Sep 14, 2018
    Sweden
    Some time ago I purchased a flashcard (currently unable to upload image)
    Text on it says:
    R4
    DS 1,41 upgrade
    Revolution for
    3DS DSi XL/LL DSL DS
    V2.0 3DS UPGRADE
    (link)

    I bought it for my DSi XL and it worked fine for a while but after starting one particular game on it (came preinstalled) it crashed and stopped working altogether on my DSi XL.
    From the on it only ran on my DS lite.

    Any ideas about what could cause this? Is it fixable?

    Sorry if I'm missing some info, newcomer to this.
    Also please note if I missed anything in the thread.
     
  2. jesterscourt

    jesterscourt Not Brad.

    Member
    4
    Jan 3, 2007
    United States
    Timebomb issue, maybe?
     
  3. Flaxel
    OP

    Flaxel Newbie

    Newcomer
    1
    Sep 14, 2018
    Sweden
    What is that?
     
  4. Tweaker_Modding

    Tweaker_Modding Siezure Dice™

    Member
    3
    Sep 1, 2017
    United Kingdom
    Somewhere
    Certain flash cards (mainly fake ones) have a timebomb that kills the r4 on a set day so you would have to buy another one there are fixes for this most notably by changing your dsi’s date to before the set date of the timebomb (i’d say set the time back a couple of years)
     
Loading...